<?php
namespace Mirasvit\Search\Ui\ScoreRule\Form\Block\Conditions;

/**
 * Interceptor class for @see \Mirasvit\Search\Ui\ScoreRule\Form\Block\Conditions
 */
class Interceptor extends \Mirasvit\Search\Ui\ScoreRule\Form\Block\Conditions implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\Search\Ui\ScoreRule\Form\Block\ConditionsRenderer $conditionsRenderer, \Magento\Backend\Block\Widget\Form\Renderer\Fieldset $fieldsetRenderer, \Magento\Backend\Block\Template\Context $context, \Magento\Framework\Registry $registry, \Magento\Framework\Data\FormFactory $formFactory)
    {
        $this->___init();
        parent::__construct($conditionsRenderer, $fieldsetRenderer, $context, $registry, $formFactory);
    }

    /**
     * {@inheritdoc}
     */
    public function getForm()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getForm');
        return $pluginInfo ? $this->___callPlugins('getForm', func_get_args(), $pluginInfo) : parent::getForm();
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
